import { get } from '@bifravst/aws-ssm-settings-helpers';
import { NRFCLOUD_ACCOUNT_SCOPE } from './scope.js';
import { groupByAccount } from './groupByAccount.js';
import { validateSettings } from './settings.js';
/**
 * Returns settings for all accounts
 */
export const getAllAccountsSettings = async ({ ssm, stackName, }) => Object.entries(groupByAccount(await get(ssm)({
    stackName,
    scope: NRFCLOUD_ACCOUNT_SCOPE,
})())).reduce((allSettings, [account, settings]) => ({
    ...allSettings,
    [account]: validateSettings(settings),
}), {});
